## HTTPClient
Class NVPair

    java.lang.Object
      HTTPClient.NVPair

public final class NVPair
extends Object

This class holds a Name/Value pair of strings. It's used for headers, form-data, attribute-lists, etc. This class is immutable.

Constructor Summary
`NVPair(NVPair p)` Creates a copy of a given name/value pair.
`NVPair(String name, String value)` Creates a new name/value pair and initializes it to the specified name and value.

Method Summary
`String` `getName()` Get the name.
`String` `getValue()` Get the value.
`String` `toString()` Produces a string containing the name and value of this instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NVPair

    public NVPair(String name,
                  String value)

  Creates a new name/value pair and initializes it to the specified name and value.

Parameters:
  `name` - the name
  `value` - the value

### NVPair

    public NVPair(NVPair p)

  Creates a copy of a given name/value pair.

Parameters:
  `p` - the name/value pair to copy

Method Detail

### getName

    public final String getName()

  Get the name.

  Returns:
    the name

### getValue

    public final String getValue()

  Get the value.

  Returns:
    the value

### toString

    public String toString()

  Produces a string containing the name and value of this instance.

  Returns:
    a string containing the class name and the name and value